package merchant

import (
	"time"
)

// MerchantPackage 商户套餐信息结构体
type MerchantPackage struct {
	ID              int       `gorm:"column:id;primary_key;autoIncrement;comment:主键"`
	ReportSourceIds string    `gorm:"column:report_source_ids;type:varchar(255);comment:报告来源"`
	VideoSourceIds  string    `gorm:"column:video_source_ids;type:varchar(255);comment:视频来源"`
	AudioSourceIds  string    `gorm:"column:audio_source_ids;type:varchar(255);comment:音频来源"`
	CreatedTime     time.Time `gorm:"column:created_time;type:datetime;comment:创建时间"`
	UpdatedTime     time.Time `gorm:"column:updated_time;type:datetime;comment:更新时间"`
}

// TableName 指定表名
func (MerchantPackage) TableName() string {
	return "merchant_packages"
}
