package user

import (
	"eta/eta_mini_ht_api/models"
	"time"
)

type SubscribeStatus string

const (
	SubscribeValid   SubscribeStatus = "valid"
	SubscribeExpired SubscribeStatus = "expired"
)

// UserSubscriptionAccessList 用户订阅访问列表
type UserSubscriptionAccessList struct {
	ID          int             `gorm:"column:id;primaryKey"`
	UserId      int             `gorm:"column:user_id"`
	ProductID   int             `gorm:"column:product_id"`
	ProductName string          `gorm:"column:product_name"`
	IsPermanent bool            `gorm:"column:is_permanent"`
	BeginDate   time.Time       `gorm:"column:begin_date"`
	EndDate     time.Time       `gorm:"column:end_date"`
	Status      SubscribeStatus `gorm:"column:status;type:enum('valid','expired');default:'valid'"`
}

func (UserSubscriptionAccessList) TableName() string {
	return "user_subscription_access_list"
}

func GetUserSubscribe(productId int, userId int) (userSubscriptionAccessList UserSubscriptionAccessList, err error) {
	db := models.Main()
	err = db.Select("id,user_id,product_id,product_name,begin_date,end_date,status").Where("user_id=? and product_id=?", userId, productId).First(&userSubscriptionAccessList).Error
	return
}
