package sms

import (
	logger "eta/eta_mini_ht_api/common/component/log"
	"eta/eta_mini_ht_api/common/contants"
	"eta/eta_mini_ht_api/domian/order"
	"eta/eta_mini_ht_api/task/base"
)

var (
	taskName base.TaskType = "ExpiredCodeTask"
	cron                   = "0/60 * * * * *"
)

// Execute Task ETA取研报的数据
func (st *SMSTask) Execute(taskDetail *base.TaskDetail) error {
	logger.Info(contants.TaskFormat, "处理超时未支付的产品订单开始")
	err := order.BatchCloseOrder()
	if err != nil {
		logger.Error("关闭超时订单失败:%v", err)
	}
	logger.Info(contants.TaskFormat, "处理超时未支付的产品订单结束")
	return err
}

type SMSTask struct {
}

func init() {
	smsTask := base.NewTask(taskName, cron, new(SMSTask), base.PROD)
	base.RegisterTask(&smsTask)
}
